%LVQ Neural network training

clear all

nntwarn off
load wine.data

P = wine(:,2:14);
T = wine(:,1);

P=P';
T=T';
maxP=max(P);
minP=min(P);
Pn=zeros(size(P));
for i=1:length(maxP),
     Pn(:,i) = (1-(-1))*(P(:,i)-minP(i))/(maxP(i)-minP(i)) + (-1);
%     (ymax-ymin)*(x-xmin)/(xmax-xmin) + ymin;
end

nr =1;
S1=10:2:length(T),
for liczba_epok=[1000:1000:10000]	
    for wsp_uczenia=[0.1:0.05:0.5]


TP = [1000 liczba_epok wsp_uczenia];
CVTrainTarget = ind2vec(T);
CVTrain = P;
[w1, w2]= initlvq(CVTrain, S1, CVTrainTarget);

[w1, w2] = trainlvq(w1, w2, CVTrain, CVTrainTarget, TP);
a = simulvq(CVTrain, w1, w2);
a = vec2ind(a);

[T' a' (T-a)' (abs(T-a)>0.5)']
skutecznosc_uczenia = (1-sum(abs(T-a)>0.5)/length(P))*100;

    tab_w(nr,1)=S1;
	tab_w(nr,1)=wsp_uczenia;
	tab_w(nr,2)=liczba_epok;
	tab_w(nr,3)=skutecznosc_uczenia;
	nr = nr+1;
end;
end;


